# Uses of Class
java.lang.Runtime.Version

Packages that use Runtime.Version
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.
javax.lang.model
Types and hierarchies of packages comprising a Java language model, a reflective API that models the declarations and types of the Java programming language.

## Uses of Runtime.Version in java.lang

Classes in java.lang that implement interfaces with type arguments of type Runtime.Version
Modifier and Type
Class
Description
`static final class`
`Runtime.Version`
A representation of a version string for an implementation of the Java SE Platform.
Methods in java.lang that return Runtime.Version
Modifier and Type
Method
Description
`static Runtime.Version`
Runtime.Version.`parse(String s)`
Parses the given string as a valid version string containing a version number followed by pre-release and build information.
`static Runtime.Version`
Runtime.`version()`
Returns the version of the Java Runtime Environment as a `Runtime.Version`.
Methods in java.lang with parameters of type Runtime.Version
Modifier and Type
Method
Description
`int`
Runtime.Version.`compareTo(Runtime.Version obj)`
Compares this version to another.
`int`
Runtime.Version.`compareToIgnoreOptional(Runtime.Version obj)`
Compares this version to another disregarding optional build information.

## Uses of Runtime.Version in java.lang.reflect

Methods in java.lang.reflect that return Runtime.Version
Modifier and Type
Method
Description
`Runtime.Version`
ClassFileFormatVersion.`runtimeVersion()`
Returns the least runtime version that supports this class file format version; otherwise `null`.
Methods in java.lang.reflect with parameters of type Runtime.Version
Modifier and Type
Method
Description
`static ClassFileFormatVersion`
ClassFileFormatVersion.`valueOf(Runtime.Version rv)`
Returns the latest class file format version that is usable under the runtime version argument.

## Uses of Runtime.Version in java.util.jar

Methods in java.util.jar that return Runtime.Version
Modifier and Type
Method
Description
`static Runtime.Version`
JarFile.`baseVersion()`
Returns the version that represents the unversioned configuration of a multi-release jar file.
`final Runtime.Version`
JarFile.`getVersion()`
Returns the maximum version used when searching for versioned entries.
`static Runtime.Version`
JarFile.`runtimeVersion()`
Returns the version that represents the effective runtime versioned configuration of a multi-release jar file.
Constructors in java.util.jar with parameters of type Runtime.Version
Modifier
Constructor
Description
``
`JarFile(File file, boolean verify, int mode, Runtime.Version version)`
Creates a new `JarFile` to read from the specified `File` object in the specified mode.

## Uses of Runtime.Version in javax.lang.model

Methods in javax.lang.model that return Runtime.Version
Modifier and Type
Method
Description
`Runtime.Version`
SourceVersion.`runtimeVersion()`
Returns the least runtime version that supports this source version; otherwise `null`.
Methods in javax.lang.model with parameters of type Runtime.Version
Modifier and Type
Method
Description
`static SourceVersion`
SourceVersion.`valueOf(Runtime.Version rv)`
Returns the latest source version that is usable under the runtime version argument.